Module | Tk::Tcllib::Cursor
In: | tk/lib/tkextlib/tcllib/cursor.rb

### Methods

cursor_display cursor_display cursor_propagate cursor_propagate cursor_restore cursor_restore not_available package_name package_version

### Constants

PACKAGE_NAME | = | 'cursor'.freeze

### Public Class methods

cursor_display(win=None)

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 82
          def self.cursor_display(win=None)
            tk_call_without_enc('::cursor::display', _epath(win))
          end

cursor_display(win=None)

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 32
          def self.cursor_display(win=None)
            Tk::Tcllib::Cursor.not_available
          end

cursor_propagate(win, cursor)

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 36
          def self.cursor_propagate(win, cursor)
            Tk::Tcllib::Cursor.not_available
          end

cursor_propagate(win, cursor)

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 86
          def self.cursor_propagate(win, cursor)
            #tk_call_without_enc('::cursor::propagate', win.path, cursor)
            tk_call_without_enc('::cursor::propagate', _epath(win), cursor)
          end

cursor_restore(win, cursor = None)

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 40
          def self.cursor_restore(win, cursor = None)
            Tk::Tcllib::Cursor.not_available
          end

cursor_restore(win, cursor = None)

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 91
          def self.cursor_restore(win, cursor = None)
            #tk_call_without_enc('::cursor::restore', win.path, cursor)
            tk_call_without_enc('::cursor::restore', _epath(win), cursor)
          end

not_available()

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 28
          def self.not_available
            fail RuntimeError, "'tkextlib/tcllib/cursor' extension is not available on your current environment."
          end

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 16
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/cursor.rb, line 20
          def self.package_version
            begin
              TkPackage.require('cursor')
            rescue
              ''
            end
          end

[Validate]